BOS_REMOVEKEY(8)

NAME
bos_removekey - Removes a server encryption key from the KeyFile file

SYNOPSIS
bos removekey -server <machine name>
    -kvno <key version number>+ [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos removek -s <machine name> -k <key version number>+
    [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos removekey command removes each specified encryption key from the /usr/afs/etc/KeyFile file on the machine named by the -server argument. Use the -kvno argument to identify each key by its key version number; use the bos listkeys command to display the key version numbers.

CAUTIONS
Before removing a obsolete key, verify that the cell's maximum ticket lifetime has passed since the current key was defined using the kas setpassword and bos addkey commands. This ensures that no clients still possess tickets encrypted with the obsolete key.

This command can only remove keys from the /usr/afs/etc/KeyFile file; the /usr/afs/etc/KeyFileExt cannot be modified by this command.

OPTIONS

-server <machine name>
    Indicates the server machine on which to change the /usr/afs/etc/KeyFile file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

    In cells that use the Update Server to distribute the contents of the /usr/afs/etc directory, it is conventional to specify only the system control machine as a value for the -server argument. Otherwise, repeat the command for each file server machine. For further discussion, see bos(8).

-kvno <key version number>+
    Specifies the key version number of each key to remove.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile or /usr/afs/etc/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the keys with key version numbers 5 and 6 from the KeyFile file on the system control machine "fs1.example.com".

   % bos removekey -server fs1.example.com -kvno 5 6

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
KeyFile(5), KeyFileExt(5), UserList(5), bos(8), bos_addkey(8), bos_listkeys(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.